## netscape-installer 3.01

=== debian/changelog ===
netscape-installer (3.01-2) contrib; urgency=low

  * Minor Debian configuration changes

 -- Brian White <bcwhite@verisim.com>  Fri, 22 Nov 1996 13:43:40 -0500

netscape-installer (3.01-1) contrib; urgency=low

  * New Netscape release
  * Set to load "libgnumalloc" before libc 5.4.7

 -- Brian White <bcwhite@verisim.com>  Mon, 11 Nov 1996 14:52:26 -0500

netscape-installer (3.0-1) contrib; urgency=low

  * New Netscape release

 -- Brian White <bcwhite@verisim.com>  Mon, 21 Oct 1996 12:21:19 -0400


Local variables:
mode: debian-changelog
End:
