=== debian/control ===
Source: netscape-installer
Section: net
Priority: extra
Maintainer: Brian White <bcwhite@verisim.com>
Standards-Version: 2.1.1.0

Package: netscape
Architecture: i386
Provides: www-browser, news-reader, mail-reader
Replaces: netscape-beta
Depends: X11R6, xpm4.7, motifnls, ${shlibs:Depends}
Recommends: mime-support
Description: Popular World-Wide-Web browser software (installer)
 Netscape (pronounced "Mozilla") is a graphical World-Wide-Web browser
 with many features.  It supports advanced features of HTML and new
 technologies such as "Java" from Sun Microsystems.
 .
 Netscape Communications Corporation does not allow redistribution of
 their software.  Therefore, this package requires the user to fetch
 the netscape archive seperately and place it in the directory pointed
 to by the TMPDIR environment variable (or /tmp if TMPDIR not defined)
 before attempting to install this package.  You can get the linux
 packages via anonymous ftp from "ftp[1-9].netscape.com".
 .
 Do NOT try to install any version of Netscape other than that matching
 the version number of this package!
 .
 Netscape Communications Corporation does not support the Linux release
 in the slightest, even for paying customers.  It has been made available
 purely as a courtesy, so please do not send them questions about Linux.
 .
 This installer package has been placed in the public domain!
