=== debian/rules ===
#! /usr/bin/make -f
#
# Debian rules for building Netscape
#


nsdist	:= netscape-v301-export.x86-unknown-linux-elf
classes	:= qw(java_301)
plugins := qw()
package	:= netscape
version	:= 3.01


install	:= netscape-installer
instver	:= $(version)
instdeb	:= $(debian)



default:
	@echo "Build 'binary', 'clean', or 'source'?"
	@echo " "


build:
	true


clean:
	test -f debian/rules
	-rm -rf debian/tmp *~

binary:	
	test -f debian/rules
	test root = "`whoami`"
	-rm -rf debian/tmp
	mkdir -p debian/tmp/DEBIAN debian/tmp/usr/bin debian/tmp/usr/lib/netscape/java/classes
	mkdir -p debian/tmp/usr/lib/netscape/plugins debian/tmp/usr/local/lib/netscape
	mkdir -p debian/tmp/usr/doc/$(package) debian/tmp/usr/X11R6/lib/X11/app-defaults
	mkdir -p debian/tmp/usr/X11R6/bin
	install -m 755 libwrapper debian/tmp/usr/X11R6/bin/netscape
	cp debian/preinst   debian/tmp/DEBIAN/preinst
	cp debian/postinst  debian/tmp/DEBIAN/postinst
	cp debian/prerm     debian/tmp/DEBIAN/prerm
#	touch debian/tmp/usr/bin/netscape
#	touch debian/tmp/usr/doc/copyright/netscape
#	touch debian/tmp/usr/X11R6/lib/X11/app-defaults/Netscape
#	touch debian/tmp/usr/bin/hot-convert
#	touch debian/tmp/usr/lib/netscape/java/classes/...
#	touch debian/tmp/usr/lib/netscape/movemail
	cp java-crash.html	debian/tmp/usr/doc/$(package)
	cd debian/tmp/DEBIAN; for i in *; do \
		mv $$i /tmp; \
		sed >$$i \
			-e 's|==DISTNAME==|$(nsdist)|g'		\
			-e 's|==PACKAGE==|$(package)|g'		\
			-e 's|==VERSION==|$(version)|g'		\
			-e 's|==CLASSES==|$(classes)|g'		\
			-e 's|==PLUGINS==|$(plugins)|g'		\
		/tmp/$$i; \
	done
	chmod 755 debian/tmp/DEBIAN/*inst debian/tmp/DEBIAN/*rm
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	for i in /usr/bin/X11/netscape /usr/lib/netscape/netscape; do \
		if [ -x $$i ]; then \
			if [ `head -1 $$i | egrep -c ^#!` -eq 0 ]; then \
				j="$$j $$i"; \
			fi; \
		fi; \
	done; \
	if [ -z "$$j" ]; then \
		j=/bin/sh; \
	fi; \
	dpkg-shlibdeps $$j
	dpkg-gencontrol -is -ip -p$(package)
	dpkg --build debian/tmp
	dpkg-name -o -s .. debian/tmp.deb


source:	clean
	cd ..; tar cf $(package)_$(instver)-$(instdeb).tar $(install)
	cd ..; gzip -9vf $(package)_$(instver)-$(instdeb).tar

#diff:	clean
#	cd ..; (diff -ruN $(package)-$(version).orig $(package)-$(version) \
#		>$(package)_$(version)-$(debian).diff; [ $? = 1 ])
#	gzip -9vf $(package)_$(version)-$(debian).diff
